| http://www.sim.no/ http://www.coin3d.org/

Public Attributes | List of all members
SbHeapFuncs Struct Reference

The SbHeapFuncs struct is used to specify functions on heap elements. More...

`#include <Inventor/SbHeap.h>`

## Public Attributes

float(* | eval_func )(void *)
int(* | get_index_func )(void *)
void(* | set_index_func )(void *, int)

## Detailed Description

The SbHeapFuncs struct is used to specify functions on heap elements.

## Member Data Documentation

## ◆ eval_func

SbHeapFuncs::eval_func

The eval_func member is a pointer to a function that should return a weight-value for a heap element. Smaller elements are extracted first from the heap.

## ◆ get_index_func

SbHeapFuncs::get_index_func

get_index_func is a pointer to a function which should return the element's heap index. If you want to remove an element from the heap (other than the first element), or change the weight for a heap element, you must supply the two index functions. Each element must then store its heap index in its own data structures.

## ◆ set_index_func

SbHeapFuncs::set_index_func

set_index_func is used to set this index value, and will be called whenever the element is moved in the heap.

The documentation for this struct was generated from the following files:

- SbHeap.h
- SbHeap.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.